package com.cit.sellfan.ui.pannelli;

import java.util.ArrayList;

import com.cit.sellfan.business.VariabiliGlobali;
import com.vaadin.ui.Button;
import com.vaadin.ui.HorizontalLayout;
import com.xdev.res.ApplicationResource;
import com.xdev.ui.XdevButton;

import cit.classi.Lingua;

public class layoutLingue extends HorizontalLayout {
	private VariabiliGlobali l_VG;
	private final ArrayList<XdevButton> bottoniLingue = new ArrayList<>();

	/**
	 * 
	 */
	public layoutLingue() {
		super();
		this.initUI();
		this.bottoniLingue.add(this.button1);
		this.bottoniLingue.add(this.button2);
		this.bottoniLingue.add(this.button3);
		this.bottoniLingue.add(this.button4);
		this.bottoniLingue.add(this.button5);
		this.bottoniLingue.add(this.button6);
		this.bottoniLingue.add(this.button7);
		this.bottoniLingue.add(this.button8);
		for (int i=2 ; i<8 ; i++) {
			//this.bottoniLingue.get(i).setVisible(false);
		}
	}

	public void setVariabiliGlobali(final VariabiliGlobali variabiliGlobali) {
		this.l_VG = variabiliGlobali;
		final int nLingue = Math.min(this.l_VG.elencoLingue.size(), 8);
		int i;
		for (i=0 ; i<nLingue ; i++) {
			final Lingua l_l = this.l_VG.elencoLingue.get(i);
			final XdevButton btn = this.bottoniLingue.get(i);
			btn.setVisible(true);
			btn.setIcon(new ApplicationResource(this.getClass(), "WebContent/resources/img/bandiere/" + l_l.bandiera));
			btn.setCaption("");
			btn.setStyleName("verde icon-only");
			btn.setSizeUndefined();
			btn.addClickListener(new Button.ClickListener() {
			    @Override
				public void buttonClick(final Button.ClickEvent event) {
			    	final String id = event.getButton().getId();
			    	layoutLingue.this.l_VG.setLinguaFromId(id);
			    }
			});
			btn.setId(l_l.id);
		}
		for ( ; i<8 ; i++) {
			this.bottoniLingue.get(i).setVisible(false);
		}
		setBandiere();
	}
	
	public void setBandiere() {
		try {
			final int nLingue = Math.min(this.l_VG.elencoLingue.size(), 8);
			for (int i=0 ; i<nLingue ; i++) {
				final XdevButton btn = this.bottoniLingue.get(i);
				final Lingua l_l = this.l_VG.elencoLingue.get(i);
				if (l_l.id.equals(this.l_VG.currentCitFont.linguaDisplay.id)) {
					btn.setIcon(new ApplicationResource(this.getClass(), "WebContent/resources/img/bandiere/" + l_l.bandiera));
				} else {
					btn.setIcon(new ApplicationResource(this.getClass(), "WebContent/resources/img/bandiere/" + l_l.bandieraLow));
				}
			}
		} catch (final Exception e) {
			//Notification.show(e.toString());
		}
	}

	/*
	 * WARNING: Do NOT edit!<br>The content of this method is always regenerated by
	 * the UI designer.
	 */
	// <generated-code name="initUI">
	private void initUI() {
		this.button1 = new XdevButton();
		this.button2 = new XdevButton();
		this.button3 = new XdevButton();
		this.button4 = new XdevButton();
		this.button5 = new XdevButton();
		this.button6 = new XdevButton();
		this.button7 = new XdevButton();
		this.button8 = new XdevButton();
	
		this.setSpacing(true);
		this.button1.setIcon(new ApplicationResource(this.getClass(), "WebContent/resources/img/bandiere/it.png"));
		this.button1.setCaption("Button");
		this.button1.setStyleName("verde icon-only");
		this.button2.setIcon(new ApplicationResource(this.getClass(), "WebContent/resources/img/bandiere/it.png"));
		this.button2.setCaption("Button");
		this.button2.setStyleName("verde icon-only");
		this.button3.setIcon(new ApplicationResource(this.getClass(), "WebContent/resources/img/bandiere/it.png"));
		this.button3.setCaption("Button");
		this.button3.setStyleName("verde icon-only");
		this.button4.setIcon(new ApplicationResource(this.getClass(), "WebContent/resources/img/bandiere/it.png"));
		this.button4.setCaption("Button");
		this.button4.setStyleName("verde icon-only");
		this.button5.setIcon(new ApplicationResource(this.getClass(), "WebContent/resources/img/bandiere/it.png"));
		this.button5.setCaption("Button");
		this.button5.setStyleName("verde icon-only");
		this.button6.setIcon(new ApplicationResource(this.getClass(), "WebContent/resources/img/bandiere/it.png"));
		this.button6.setCaption("Button");
		this.button6.setStyleName("verde icon-only");
		this.button7.setIcon(new ApplicationResource(this.getClass(), "WebContent/resources/img/bandiere/it.png"));
		this.button7.setCaption("Button");
		this.button7.setStyleName("verde icon-only");
		this.button8.setIcon(new ApplicationResource(this.getClass(), "WebContent/resources/img/bandiere/it.png"));
		this.button8.setCaption("Button");
		this.button8.setStyleName("verde icon-only");
	
		this.button1.setSizeUndefined();
		this.addComponent(this.button1);
		this.button2.setSizeUndefined();
		this.addComponent(this.button2);
		this.button3.setSizeUndefined();
		this.addComponent(this.button3);
		this.button4.setSizeUndefined();
		this.addComponent(this.button4);
		this.button5.setSizeUndefined();
		this.addComponent(this.button5);
		this.button6.setSizeUndefined();
		this.addComponent(this.button6);
		this.button7.setSizeUndefined();
		this.addComponent(this.button7);
		this.button8.setSizeUndefined();
		this.addComponent(this.button8);
		this.setSizeUndefined();
	} // </generated-code>

	// <generated-code name="variables">
	private XdevButton button1, button2, button3, button4, button5, button6, button7, button8;
	// </generated-code>

}
